// =====================================================================
//  $Id: St00DataRecordConversion.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __ST0001DATARECORDCONVERSION_HH
#define __ST0001DATARECORDCONVERSION_HH

#include "Tglobals.h"
#include "TDataMultiplicity.hh"
#include "TDataRecord.hh"
#include "St00Map.hh"

class St00DataRecordConversion
  : public St00Map
{

  private:
    Tbool theConversionSuccess;

  public:
    St00DataRecordConversion();
    ~St00DataRecordConversion();

  public:
    TDataMultiplicity& Convert( const TDataRecord& record );
    Tbool IsSuccess() const;

};

inline Tbool St00DataRecordConversion::IsSuccess() const
{
  return( theConversionSuccess );
}

#endif
